Bug 103983 - FILESAVE: DOCX: shape having textbox lost after roundtrip
Summary: FILESAVE: DOCX: shape having textbox lost after roundtrip
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2016-11-17 12:02 UTC by Xisco Faulí
Modified: 2020-03-04 10:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-17 12:02:41 UTC
1. Open attachment 57348 [details]
2. Save as a new .DOCX file
3. Open then new file

Observed behaviour: outer textbox is lost after roundtrip

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-17 12:03:54 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-11 16:55:10 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-11 17:03:34 (GMT)
commit e9261e8b413bc76ca2770df30495fec1979cfca1 (patch)
tree 96c16aec13029be306ccf0834bd646bd588fec94
parent 27fc4354497b406241108b7ef169f5d93e3dc259 (diff)

DOCX drawingML filter: handle TextAutoGrowHeight for shapes having textboxes

Adding Cc: to Miklos Vajna
Comment 2 QA Administrators 2017-12-08 08:05:26 UTC Comment hidden (obsolete)
Comment 3 Miklos Vajna 2020-01-14 15:18:05 UTC
I don't see the loss of shapes on master anymore, but I do see that we unconditionally set the "text automatically grows the height" bit on import, so on export we correctly write that back to the file. This way the import->export result does not match the original. I'll take a look.
Comment 4 Commit Notification 2020-01-21 07:42:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b92293b3943423324064a8513c2e114d18817179

tdf#103983 VML import: handle <v:textbox style="mso-fit-shape-to-text:t">

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-28 09:49:05 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: aef7feb3e695ecf6d411f0777196dcc4281e201a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 6 Commit Notification 2020-01-28 09:51:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3fffc33d2569446a1e4d43d30bcf71a4e89c1ef9

tdf#103983 VML import: handle <v:textbox style="mso-fit-shape-to-text:t">

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.